include: https://gitlab.dianchu.cc/snippets/73/raw?name=dc-golang-lint-ci.yaml

# include 参考：https://docs.gitlab.com/ee/ci/yaml/#includefile

image: golang:1.13

# 覆盖默认CI脚本中的一些环境变量
variables:
  # 默认Go lint配置，default_golangci_lint
  # 替换增加性能优化检查的 Go lint配置: https://gitlab.dianchu.cc/snippets/70/raw
  GOREPORTCARD_CILINT_CONFIG: https://gitlab.dianchu.cc/snippets/69/raw
  # goreportcard 解析时使用配置，默认使用，基本不用改，可以自定义相关linter的权重
  GOREPORTCARD_PARSE_CONFIG: https://gitlab.dianchu.cc/snippets/71/raw
  PROJECT_IMAGE_NAME: dc-xxxxxx

# pipeline编排，覆盖默认CI脚本中的设置
stages:
  - Lint # 1.Lint代码检查
  - Test # 2.执行单元测试 并输出测试覆盖率
  - CyclomaticComplexity # 3.圈复杂度检查
  - ResultParse # 4. 代码扫描结果分析
